#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOShareUpdate() SYNOShareCreate() SYNOShareClone()
# Usable environment variable:
#	ORIGIN_SHARE_NAME, ORIGIN_SHARE_STATUS, ORIGIN_SHARE_PATH, SHARE_NAME, SHARE_STATUS, SHARE_PATH
###############################################################

PACKAGE_TARGET=/var/packages/HyperBackupVault/target
SYNOIMGBKP_TOOL_BIN=$PACKAGE_TARGET/bin/synoimgbkptool

case $1 in
        --sdk-mod-ver)
                echo "2.0"
        ;;
        --name)
                echo "synodedup share set hook"
        ;;
        --pkg-ver)
                echo "1.0"
        ;;
        --vendor)
                echo "Synology Inc."
        ;;
        --pre)

        ;;
        --post)
		if [ -f "/var/packages/HyperBackupVault/enabled" ]; then
			${SYNOIMGBKP_TOOL_BIN} -l "${SHARE_NAME}" &
		fi
        ;;
        *)
                echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
        ;;
esac
