#!/bin/bash

stop_packages=$1

for package in ${stop_packages//,/ }; do
	if [ $package == "HyperBackupVault" ] && [ -f "/var/packages/HyperBackupVault/enabled" ]; then
		# check if backup is running
		/var/packages/HyperBackupVault/target/bin/server_tool --backup 2>&1
		if [ $? -eq 1 ]; then
			exit 1
		else
			exit 0
		fi
	fi
done
exit 0
